'' *********************************
'' ** GREAT PROJECTS FOR THE PPDB **
'' ** BY JEFF LEDGER              **
'' ** PROJECT: PPDB GPS UNIT      **
'' *********************************
''
'' This project requires the Paralax GPS module & Paralax 4line Serial LCD
''
'' Wiring Diagram as follows
''
'' LCD 5V
'' LCD GND
'' LCD RX to 10K resistor to P1
''
'' GPS GND
'' GPS VCC to 5V
'' GPS SD to 1K resistor to P0
'' GPS /RAW to GND
''
'' P2 to (pushbutton) 0
''
'' Pressing button 0 will display more information.



CON

  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000

  LCD_PIN   = 1                                         ' for Parallax 4x20 serial LCD on P0
  LCD_BAUD  = 19_200
  LCD_LINES = 4
    
OBJ

  lcd  : "debug_lcd"  
  gps  : "GPS_IO_mini"
  

pub main | gmt
gps.start
lcd.start(LCD_PIN, LCD_BAUD, LCD_LINES)
DIRA[2]~ 'set P2 as an input
lcd.cursor(0)                                       ' cursor off
lcd.backLight(true) 
lcd.cls 
lcd.str(string(13,"Loading..."))

repeat
  lcd.cls
  
 if ina[2]==1
  lcd.str((string(" Lat: ")))
  lcd.str(gps.latitude)
  lcd.putc(13)
  lcd.str((string("Long: ")))
  lcd.str(gps.longitude)
  lcd.putc(13)
  lcd.str((string("Speed ")))
  lcd.str(gps.speed)
  lcd.putc(13)
  lcd.str((string("Satellites ")))
  lcd.str(gps.satellites)
  lcd.putc(13)

 if ina[2]==0 
  lcd.str((string("Time GMT ")))
  lcd.str(gps.time)
  lcd.putc(13)
  lcd.str((string("Date ")))
  lcd.str(gps.date)
  lcd.putc(13)
  lcd.str((string("Heading ")))
  lcd.str(gps.heading)
  lcd.str((string(" ")))
  lcd.str(gps.N_S)
  lcd.str(gps.e_w)    
  lcd.putc(13)
  lcd.str((string("Altitude ")))
  lcd.str(gps.GPSaltitude)
  
 waitcnt(2_000_000_0 + cnt)